def reflected_number(k):
    digits = list(str(k))
    reflected_digits = []

    for digit in digits:
        if digit in ['0', '1', '8']:
            reflected_digit = digit
        elif digit == '6':
            reflected_digit = '9'
        elif digit == '9':
            reflected_digit = '6'

        reflected_digits.append(reflected_digit)

    reflected_number = int(''.join(reflected_digits))
    return reflected_number

k = int(input("Укажите этаж, на котором живет Катя: "))
result = reflected_number(k)
print("Катя увидит число:", result)